ReadFile File Reference
`#include <string>`
`#include <osg/Node>`
`#include <osg/Image>`
`#include <osg/ArgumentParser>`
`#include <osgDB/Export>`
`#include <osgDB/Registry>`

Go to the source code of this file.

## Namespaces

namespace | osgDB

## Macros

#define | OSGDB_READFILE 1

## Functions

OSGDB_EXPORT osg::ref_ptr< osg::Object > | osgDB::readRefObjectFile (const std::string &filename, const Options *options)
osg::ref_ptr< osg::Object > | osgDB::readRefObjectFile (const std::string &filename)
template<class T>
osg::ref_ptr< T > | osgDB::readRefFile (const std::string &filename, const Options *options)
template<class T>
osg::ref_ptr< T > | osgDB::readRefFile (const std::string &filename)
OSGDB_EXPORT osg::ref_ptr< osg::Image > | osgDB::readRefImageFile (const std::string &filename, const Options *options)
osg::ref_ptr< osg::Image > | osgDB::readRefImageFile (const std::string &filename)
OSGDB_EXPORT osg::ref_ptr< osg::HeightField > | osgDB::readRefHeightFieldFile (const std::string &filename, const Options *options)
osg::ref_ptr< osg::HeightField > | osgDB::readRefHeightFieldFile (const std::string &filename)
OSGDB_EXPORT osg::ref_ptr< osg::Node > | osgDB::readRefNodeFile (const std::string &filename, const Options *options)
osg::ref_ptr< osg::Node > | osgDB::readRefNodeFile (const std::string &filename)
OSGDB_EXPORT osg::ref_ptr< osg::Node > | osgDB::readRefNodeFiles (std::vector< std::string > &fileList, const Options *options)
osg::ref_ptr< osg::Node > | osgDB::readRefNodeFiles (std::vector< std::string > &fileList)
OSGDB_EXPORT osg::ref_ptr< osg::Node > | osgDB::readRefNodeFiles (osg::ArgumentParser &parser, const Options *options)
osg::ref_ptr< osg::Node > | osgDB::readRefNodeFiles (osg::ArgumentParser &parser)
OSGDB_EXPORT osg::ref_ptr< osg::Shader > | osgDB::readRefShaderFile (const std::string &filename, const Options *options)
osg::ref_ptr< osg::Shader > | osgDB::readRefShaderFile (const std::string &filename)
osg::ref_ptr< osg::Shader > | osgDB::readRefShaderFile (osg::Shader::Type type, const std::string &filename, const Options *options)
osg::ref_ptr< osg::Shader > | osgDB::readRefShaderFile (osg::Shader::Type type, const std::string &filename)
OSGDB_EXPORT osg::ref_ptr< osg::Shader > | osgDB::readRefShaderFileWithFallback (osg::Shader::Type type, const std::string &filename, const Options *options, const char *fallback)
osg::ref_ptr< osg::Shader > | osgDB::readRefShaderFileWithFallback (osg::Shader::Type type, const std::string &filename, const char *fallback)
OSGDB_EXPORT osg::ref_ptr< osg::Script > | osgDB::readRefScriptFile (const std::string &filename, const Options *options)
osg::ref_ptr< osg::Script > | osgDB::readRefScriptFile (const std::string &filename)

## Macro Definition Documentation

## OSGDB_READFILE

#define OSGDB_READFILE 1